Skip to main content
POST
/
api
/
v1
/
auth
/
mcp
/
api_key
Create a new MCP API key
curl --request POST \
  --url https://api.hevn.finance/api/v1/auth/mcp/api_key \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "key": "<string>",
  "totalSpend": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "walletAddress": "<string>",
  "ipRestriction": "<string>",
  "maxSpend": 123,
  "remaining": 0,
  "lastUse": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

user-agent
string | null
device-name
string | null
cf-ipcountry
string | null
x-api-key
string | null

Body

application/json
name
string
required
ipRestriction
string | null
maxSpend
number | null

Response

Successful Response

id
string<uuid>
required
name
string
required
key
string
required
totalSpend
number
required
createdAt
string<date-time>
required
walletAddress
string | null
ipRestriction
string | null
maxSpend
number | null
remaining
integer
default:0
lastUse
string<date-time> | null